# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name http-date

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.0.4
Release:        2%{?dist}
Summary:        HTTP Date parser and formatter

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
%if %{with tests}
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-time-devel
%endif
# End cabal-rpm deps

%description
Fast parser and formatter for HTTP Date.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.0.4-2
- cblrpm refresh

* Mon Sep  1 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.0.4-1
- spec file generated by cabal-rpm-0.9.1.50
